#!/usr/bin/env node

const chalk = require('chalk');
const commander = require('commander');

const packageJson = require('./package.json');

const program = new commander.Command(packageJson.name)
  .version(packageJson.version)
  .arguments('<project-directory>')
  .usage(`${chalk.green('<project-directory>')} [options]`)
  .action(name => {
    projectName = name;
  })
  .option('--verbose', 'print additional logs')
  .option('--info', 'print environment debug info')
  .option('--use-npm')
  .allowUnknownOption()
  .on('--help', () => {
    console.log(`    Only ${chalk.green('<project-directory>')} is required.`);
    console.log();
    console.log(
      `    If you have any problems, do not hesitate to file an issue:`,
    );
    console.log(
      `      ${chalk.cyan(
        'https://github.com/facebookincubator/create-react-app/issues/new',
      )}`,
    );
    console.log();
  })
  .parse(process.argv);

const opts = program.opts();
process.argv = process.argv.slice(0, 2);
if (program.args[0]) process.argv.push(program.args[0]);
if (opts.verbose) process.argv.push('--verbose', opts.verbose);
if (opts.info) process.argv.push('--info', opts.info);
if (opts.useNpm) process.argv.push('--use-npm', opts.useNpm);
process.argv.push('--scripts-version', '@miserylee/react-scripts');

require('create-react-app');
